package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.DictionaryGroup;
import com.lightinit.hsdataportal.entity.DictionaryGroupExample;
import java.util.List;

import com.lightinit.hsdataportal.model.APIServiceTypeModel;
import org.apache.ibatis.annotations.Param;

public interface DictionaryGroupMapper {
    long countByExample(DictionaryGroupExample example);

    int deleteByExample(DictionaryGroupExample example);

    int deleteByPrimaryKey(Long id);

    int insert(DictionaryGroup record);

    int insertSelective(DictionaryGroup record);

    List<DictionaryGroup> selectByExample(DictionaryGroupExample example);

    DictionaryGroup selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") DictionaryGroup record, @Param("example") DictionaryGroupExample example);

    int updateByExample(@Param("record") DictionaryGroup record, @Param("example") DictionaryGroupExample example);

    int updateByPrimaryKeySelective(DictionaryGroup record);

    int updateByPrimaryKey(DictionaryGroup record);

    List<APIServiceTypeModel> getApiServiceTypes(@Param("fuwutype") String fuwutype);
}